Vai al contenuto

database_api.list_smt_contributions ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

Elenca i contributi SMT (SMT contribution). I contributi servono a tracciare i contributi individuali su un SMT (token multimediali intelligenti) durante la fase ICO. Parametri: start:array; limit:int; order:string

  • start dipende da order (vedere sotto)
  • limit è fino a 1000.
  • order può essere uno tra:
    • by_symbol_id - ordina per simbolo
    • by_symbol_contributor - ordina per symbol, contributor e contribution_id

| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | elenca 10 contributi, ordinati per simbolo, id | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | elenca 10 contributi, ordinati per simbolo, contributor, id |

Vedere: Token Units, Vesting Contributions

Vedere anche: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_symbol_id"
}

⚠ Questo metodo è deprecato (era SMT, token multimediali intelligenti) e non è più fornito dai nodi pubblici.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        0
      ],
      "limit": 10,
      "order": "by_symbol_id"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        "alice",
        0
      ],
      "limit": 10,
      "order": "by_symbol_contributor"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "contributions": [
    {
      "id": 0,
      "symbol": {
        "nai": "@@422838704",
        "decimals": 0
      },
      "contributor": "alice",
      "contribution_id": 0,
      "contribution": {
        "amount": "1000",
        "precision": 3,
        "nai": "@@000000021"
      }
    }
  ]
}